From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: gui-apps/gtklock-extras/
Date: Thu, 13 Jul 2023 09:42:19 +0000 (UTC) [thread overview]
Message-ID: <1689159484.1caff2524091d635d292ddd6f6937cd0df3b810b.davidroman@gentoo> (raw)
commit: 1caff2524091d635d292ddd6f6937cd0df3b810b
Author: Gonçalo Negrier Duarte <gonegrier.duarte <AT> gmail <DOT> com>
AuthorDate: Wed Jul 12 10:54:31 2023 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Wed Jul 12 10:58:04 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1caff252
gui-apps/gtklock-extras: add warning to package
* playerctl makefile is broken will be fix later
Signed-off-by: Gonçalo Negrier Duarte <gonegrier.duarte <AT> gmail.com>
| 28 ++++++++++++++--------
| 6 ++---
2 files changed, 21 insertions(+), 13 deletions(-)
--git a/gui-apps/gtklock-extras/gtklock-extras-9999.ebuild b/gui-apps/gtklock-extras/gtklock-extras-9999.ebuild
index 8ba329e4a..ca9b6c8ea 100644
--- a/gui-apps/gtklock-extras/gtklock-extras-9999.ebuild
+++ b/gui-apps/gtklock-extras/gtklock-extras-9999.ebuild
@@ -17,6 +17,7 @@ BDEPEND="x11-libs/gtk+
virtual/pkgconfig
playerctl? ( dev-go/act )
playerctl? ( net-libs/libsoup )
+ playerctl? ( media-sound/playerctl )
userinfo? ( sys-apps/accountsservice )
"
@@ -32,11 +33,11 @@ src_compile() {
popd || die
fi
- if use playerctl; then
- pushd gtklock-playerctl-module || die
- emake
- popd || die
- fi
+ #if use playerctl; then
+ # pushd gtklock-playerctl-module || die
+ # emake
+ # popd || die
+ #fi
if use userinfo; then
pushd gtklock-userinfo-module || die
@@ -53,11 +54,11 @@ src_install() {
popd || die
fi
- if use playerctl; then
- pushd gtklock-playerctl-module || die
- insinto /usr/local/lib/gtklock && doins playerctl-module.so
- popd || die
- fi
+ #if use playerctl; then
+ # pushd gtklock-playerctl-module || die
+ # insinto /usr/local/lib/gtklock && doins playerctl-module.so
+ # popd || die
+ #fi
if use userinfo; then
pushd gtklock-userinfo-module || die
@@ -66,3 +67,10 @@ src_install() {
fi
}
+pkg_postinst() {
+ if use playerctl; then
+ ewarn "The MAKEFILE for playerctl gtklock module is broken i will try to fixit later"
+ ewarn "For now the useflag will be disable on guru overlay to prevent the package failing to build"
+ ewarn "If you have a idea on how to fix open a issue here:https://github.com/MrDuartePT/mrduarte-ebuilds"
+ fi
+}
--git a/gui-apps/gtklock-extras/metadata.xml b/gui-apps/gtklock-extras/metadata.xml
index f37f96ac1..156af3f9f 100644
--- a/gui-apps/gtklock-extras/metadata.xml
+++ b/gui-apps/gtklock-extras/metadata.xml
@@ -6,7 +6,7 @@
<flag name="playerctl">gtklock module adding media player controls to the lockscreen</flag>
<flag name="userinfo">gtklock module adding user info to the lockscreen</flag>
</use>
- <upstream>
- <remote-id type="github">MrDuartePT/gtklock-modules-gentoo</remote-id>
- </upstream>
+ <upstream>
+ <remote-id type="github">MrDuartePT/gtklock-modules-gentoo</remote-id>
+ </upstream>
</pkgmetadata>
next reply other threads:[~2023-07-13 9:42 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-07-13 9:42 David Roman [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-08-04 7:26 [gentoo-commits] repo/proj/guru:master commit in: gui-apps/gtklock-extras/ Florian Schmaus
2023-07-27 12:04 David Roman
2023-07-27 12:04 David Roman
2023-07-08 2:43 Haelwenn Monnier
2023-07-08 2:43 Haelwenn Monnier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1689159484.1caff2524091d635d292ddd6f6937cd0df3b810b.davidroman@gentoo \
--to=davidroman96@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox